Subject: Re: 1.7.8: files exist but can not be read
From: "A.R. Burgers" <[email-masked]>
To: [email-masked]
Date: Tue, 23 Nov 2010 19:01:00 +0100
Newsgroups: gmane.os.cygwin
List-Id: <cygwin.cygwin.com>

I tested the snapshot, and the problem appears to be fixed.

Thanks!

Teun

Op 23-11-2010 10:39, Corinna Vinschen schreef:

> Please don't http://cygwin.com/acronyms/#TOFU.  Thank you.
>
> On Nov 22 19:11, A.R. Burgers wrote:
>> Hi,
>>
>> here the script file.sh and its output results.txt,
>> pasted in the mail, including the output of the ntqueryfile
>> program. I ran ntqueryfile both on a netapp file and on a local file.
>>
>> hope this helps
>> [...]
>> *** ./ntqueryfile \\\\nas01\\g_zon_software\$\\cygwin17\\text.txt:
>> NtQueryInformationFile(FNOI): 0xc000000d
>>   fsi.AllocationSize 64
>>   fsi.EndOfFile      7
>
> Yes, it helps.  It confirms my suspicion that Netapps don't grok the
> FileNetworkOpenInformation info class.  I'm wondering what else is not
> fully implemented on these drives.  That's the forth problem we have to
> workaround for these thingies.  Sigh.
>
> I applied a patch which should fix this problem.  Please test the latest
> from CVS or the next developer snapshot from http://cygwin.com/snapshots/
>
>
> Thanks,
> Corinna
>

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple